/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class PreviewPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Tools";
        public override string UIResName => "PreviewPanel";

        [AutoFind(Name = "ItemList")]
        public CommonItemList ItemList;
        [AutoFind(Name = "ItemModal")]
        public BagItem ItemModal;
        [AutoFind(Name = "BtnGenAllIcon")]
        public GButton BtnGenAllIcon;
        [AutoFind(Name = "GenModel")]
        public ModelViewer GenModel;
        public override string[] GetDependPackages(){ return new string[] {"Common","Main"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<PreviewPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<PreviewPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<PreviewPanel>(); }

    }
}